#
# $Header: /cvs/stx/stx/libbasic/bc.mak,v 1.17 1997-05-01 19:42:41 cg Exp $
#

TOP=..

!INCLUDE $(TOP)\rules\stdHeader_nt

LIBNAME=libbasic
LIB_BASE=$(LIBBASIC_BASE)

# STCLOCALOPT="-package=basic-classes-(stx:libbasic)" -warnGlobalAssign +optinline2 $(COMMONSYMBOLS) $(SEPINITCODE) -varPrefix=$(LIBNAME)
STCLOCALOPT="-package=basic-classes-(stx:$(LIBNAME))" -staticMethods -warnNonStandard -warnGlobalAssign +optinline2 $(COMMONSYMBOLS) $(SEPINITCODE)

ALL: $(LIBDIR)\$(LIBNAME).lib $(BINDIR)\$(LIBNAME).dll

OBJS= \
    Object.$(O)               \
      Autoload.$(O)           \
      Behavior.$(O)           \
	ClassDescr.$(O)       \
	  Class.$(O)          \
	  Metaclass.$(O)      \
	    PMetaclass.$(O)   \
      Project.$(O)            \
      Namespace.$(O)          \
      Boolean.$(O)            \
	True.$(O)             \
	False.$(O)            \
      CCReader.$(O)           \
      Coll.$(O)               \
	Bag.$(O)              \
	FileDir.$(O)          \
	SeqColl.$(O)          \
	  ArrColl.$(O)        \
	    Array.$(O)        \
	      WeakArr.$(O)    \
	    ByteArray.$(O)    \
	      CharArray.$(O)  \
		String.$(O)   \
		  Symbol.$(O) \
	      UIBytes.$(O)    \
	    DoubleArray.$(O)  \
	    FloatArray.$(O)   \
	Interval.$(O)         \
	LinkList.$(O)         \
	  Semaphore.$(O)      \
	OrdColl.$(O)          \
	  SortColl.$(O)       \
	Set.$(O)              \
	  Dict.$(O)           \
	    IdDict.$(O)       \
	      WeakIdDict.$(O) \
		WeakDepDict.$(O) \
	    WeakVDict.$(O)    \
	  IdSet.$(O)          \
	    WeakIdSet.$(O)    \
	    SignalSet.$(O)    \
	    SemaSet.$(O)      \
      Context.$(O)            \
	BContext.$(O)         \
      Delay.$(O)              \
      Exception.$(O)          \
      ExecFunc.$(O)           \
	CompCode.$(O)         \
	  Block.$(O)          \
	    CheapBlk.$(O)     \
	  Method.$(O)         \
      Filename.$(O)           \
      InterestC.$(O)          \
      Link.$(O)               \
	Process.$(O)          \
      Magnitude.$(O)          \
	LookupKey.$(O)        \
	  Assoc.$(O)          \
	AbstrTime.$(O)        \
	  AbsTime.$(O)        \
	  Time.$(O)           \
	ArithVal.$(O)         \
	  Number.$(O)         \
	    Fraction.$(O)     \
	    Integer.$(O)      \
	      SmallInt.$(O)   \
	      LargeInt.$(O)   \
	    LPReal.$(O)       \
	      Float.$(O)      \
	      SFloat.$(O)     \
	  Point.$(O)          \
	Character.$(O)        \
	Date.$(O)             \
      Message.$(O)            \
      MiniDebug.$(O)          \
      MiniIns.$(O)            \
      ObjMem.$(O)             \
      ProcSched.$(O)          \
      Geometric.$(O)          \
	Rectangle.$(O)        \
      Registry.$(O)           \
	HRegistry.$(O)        \
      Signal.$(O)             \
	QuerySig.$(O)         \
      Smalltalk.$(O)          \
      Stream.$(O)             \
	PeekStr.$(O)          \
	  PosStream.$(O)      \
	    ReadStr.$(O)      \
	    WriteStr.$(O)     \
	      RWStream.$(O)   \
	      ExtStream.$(O)  \
		FileStr.$(O)  \
		  DirStr.$(O)     \
		  NPExtStr.$(O)   \
		  PipeStr.$(O)    \
      UndefObj.$(O)           \
      ExtAddr.$(O)            \
      ExtBytes.$(O)           \
      ExtFunc.$(O)            \
      MthdDict.$(O)           \
	Unix.$(O)             \
      Obsolete.$(O)           \
      BOSS.$(O)               \
      BinIOMgr.$(O)           \
	BinInMgr.$(O)         \
	BinOutMgr.$(O)        

!INCLUDE $(TOP)\rules\stdRules_nt

